Lista · Lagersaldo — Lager
Se produktlager, lager och interna platser.
GET
/api/v1/inventory/stockcURL-begäran
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request GET \
--url 'https://shop.onshopently.com/api/v1/inventory/stock?limit=20' \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'
Svar
{
"data": [
{
"active": true,
"available": 5,
"id": "stock_v1_WyJleGFtcGxlIiwicHJvZHVjdCIsImV4YW1wbGUiXQ",
"manual_reserved": 2,
"on_hand": 10,
"reserved": 3,
"sellable_limit": 10,
"target_id": "example",
"target_type": "product",
"total_reserved": 5,
"updated_at": "2026-01-01T12:00:00Z",
"version": 1,
"warehouse_id": "example"
}
],
"meta": {
"pagination": {
"has_more": false,
"limit": 20,
"next_cursor": null
},
"request_id": "example"
}
}
Behörigheter som krävs
- Autentisering
- Åtkomsttoken
- Tillgänglig från
- STANDARD
- Nyckelns behörighet
- Visa inventering
inventory.stock:read